<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh/HowTos/postgrey</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh/HowTos/postgrey</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><p class="line867">
<h1 id="A.2BcHBUDVNVZVlbZmWHaGM-">灰名单教学文档</h1>
<span class="anchor" id="line-4"></span><p class="line867"><div class="table-of-contents"><p class="table-of-contents-heading">Contents<ol><li>
<a href="#A.2BXxWKAA-">引言</a></li><li>
<a href="#A.2Bi75.2Fbg-">设置</a><ol><li>
<a href="#Postfix">Postfix</a></li><li>
<a href="#Sendmail_.2BUYV2hHBwVA1TVQ-">Sendmail 内的灰名单</a></li><li>
<a href="#Exim">Exim</a></li></ol></li><li>
<a href="#A.2BbEdipQ-">汇报</a></li><li>
<a href="#A.2BWRqRzQ_MX_.2BdoSAA4ZR-">多重 MX 的考虑</a></li><li>
<a href="#A.2Bdn1UDVNV-">白名单</a></li><li>
<a href="#A.2BYDt.2B0w-">总结</a></li><li>
<a href="#A.2Bj95.2B0w-">连结</a></li></ol></li></ol></div> <span class="anchor" id="line-5"></span><span class="anchor" id="line-6"></span><p class="line867">
<h2 id="A.2BXxWKAA-">1. 引言</h2>
<span class="anchor" id="line-7"></span><div><table><tbody><tr>  <td class="lmimg blue"><p class="line862"> <img alt="ArtWork/WikiDesign/icon-admonition-info.png" class="attachment" src="attachments/ArtWork(2f)WikiDesign/icon-admonition-info.png" title="ArtWork/WikiDesign/icon-admonition-info.png" /> </td>
  <td class="lmtxt blue" colspan="2" style="text-align: left;"><p class="line862">  <strong>注：</strong>写这份指南的原意是要补充基本的 <a href="./HowTos(2f)postfix.html">postfix 指南</a>及 <a href="./HowTos(2f)postfix_restrictions.html">postfix 规限指南</a>，但其后已演变至适用于其它 MTA 。 </td>
</tr>
</tbody></table></div><span class="anchor" id="line-8"></span><p class="line862">postgrey 是个政策服务器，通过实施灰名单在 Postfix 邮件服务器上过滤垃圾邮件。灰名单的原理建基于多数垃圾邮件都寄件者都是垃圾邮件程序或其它不乎合 RFC 的 MTA。postgrey 会在缺省时限内临时以「稍后重试」450 号错误拒绝新邮件，并在它的数据库内记录<tt class="backtick">客端&nbsp;IP／寄件者／收件者</tt>这三组数据。假若寄件的服务器乎合 RFC，它应该重寄该邮件，到时 postgrey 便会在数据库内找寻配对并接纳该邮件。这个拖时延限是可自定的，而且 postgrey 维护一个数据库存储已知的组合，因此来自同一位寄件者邮件只会在首封经历延误。 <span class="anchor" id="line-9"></span><span class="anchor" id="line-10"></span><p class="line874">相反地，典型的垃圾邮件程序一般都会接收大量的回邮或被拒邮件，因此垃圾邮件寄件者多数在临时被拒的情况下不会重寄邮件。故此任何来自该类来源地的邮件将会被弃置。这样额外带来的好处就是减省邮件服务器花在过滤及处理邮件上的时间，因为大部份的邮件在进入 MTA 之先便会被弃置，所以不必过滤或处理。 <span class="anchor" id="line-11"></span><div><table style="width: 97%"><tbody><tr>  <td style="border: medium none ;  text-align: center;"><p class="line862"> <a class="attachment" href="attachments/HowTos(2f)postgrey/postgrey-en.png" title="{{attachment:HowTos/postgrey/postgrey-en.png}}"><img alt="attachment:HowTos/postgrey/postgrey-en.png" class="attachment" src="attachments/HowTos(2f)postgrey/postgrey-en.png" title="attachment:HowTos/postgrey/postgrey-en.png" /></a> </td>
</tr>
</tbody></table></div><span class="anchor" id="line-12"></span><span class="anchor" id="line-13"></span><span class="anchor" id="line-14"></span><p class="line867">
<h2 id="A.2Bi75.2Fbg-">2. 设置</h2>
<span class="anchor" id="line-15"></span><p class="line874">灰名单可以回应不同的 MTS 而被设置。请根据你所采用的 MTA 来参考下列相关部份。 <span class="anchor" id="line-16"></span><span class="anchor" id="line-17"></span><p class="line867">
<h3 id="Postfix">2.1. Postfix</h3>
<span class="anchor" id="line-18"></span><p class="line862">Postgrey 在 CentOS 5.1 上是通过 RPMForge 安装最新版本的，虽然这里的指示也适用于其它版本。要启用 RPMForge 软件库，请参阅 <a href="./zh(2f)Repositories(2f)RPMForge.html">RPMForge</a> 内的指引。首先，请安装 postgrey： <span class="anchor" id="line-19"></span><span class="anchor" id="line-20"></span><p class="line867"><span class="anchor" id="line-21"></span><pre><span class="anchor" id="line-1"></span># yum install postgrey</pre><span class="anchor" id="line-22"></span><p class="line874">Postgrey 是用 Perl 写成的，因此 Perl 及某些 Perl 模块必须被安装。Yum 应该会自动判断你所仍未安装的依赖性组件，而你亦可以在 Postgrey 的网站查阅它的要求。 <span class="anchor" id="line-23"></span><span class="anchor" id="line-24"></span><p class="line862">我们首要是设置 Postfix 应用 Postgrey。编辑 <tt class="backtick">/etc/postfix/main.cfg</tt> 仿照下面在 <tt class="backtick">smtpd_recipient_restrictions</tt> 这个部份加入 <tt class="backtick">check_policy_service</tt> 这一行（假如你没有 <tt class="backtick">smtpd_recipient_restrictions</tt> 这部份，那么下面是个不错的列子）： <span class="anchor" id="line-25"></span><span class="anchor" id="line-26"></span><p class="line867"><span class="anchor" id="line-27"></span><span class="anchor" id="line-28"></span><span class="anchor" id="line-29"></span><span class="anchor" id="line-30"></span><span class="anchor" id="line-31"></span><span class="anchor" id="line-32"></span><pre><span class="anchor" id="line-1-1"></span>smtpd_recipient_restrictions =
<span class="anchor" id="line-2"></span>   permit_mynetworks,
<span class="anchor" id="line-3"></span>   reject_unauth_destination,
<span class="anchor" id="line-4"></span>   check_policy_service unix:postgrey/socket,
<span class="anchor" id="line-5"></span>   permit</pre><span class="anchor" id="line-33"></span><p class="line862">按缺省值，Postgrey 拒绝新邮件的时间是 5 分钟，但我们可以利用 <tt class="backtick">--delay</tt> 这个选项来更改它。这里要权衡的，就是时间越长拒绝垃圾邮件的机会越大，但合法邮件初次被延误的时间也会越久。你也许值得在开始时把这个值设为 1 分钟（60 秒），然后当 Postgrey 已经为你的邮件服务器创建了一个常见邮件联络人的数据库时，才把数值增大。我们不推荐你把延误时间设至多于 300 秒（5 分钟）。要以手动的方式设置延误时间（以秒计算），我们必须在 <tt class="backtick">/etc/sysconfig/postgrey</tt> 创建 Postgrey 的配置文件，然后如下所示加入 <tt class="backtick">--delay</tt> 这个选项（选项清单请参阅 man postgrey）： <span class="anchor" id="line-34"></span><span class="anchor" id="line-35"></span><p class="line867"><span class="anchor" id="line-36"></span><pre><span class="anchor" id="line-1-2"></span>OPTIONS="--unix=/var/spool/postfix/postgrey/socket --delay=60"</pre><span class="anchor" id="line-37"></span><p class="line874">最后，我们须要引导 Postgrey 这个服务及重新装入 Postfix 的设置： <span class="anchor" id="line-38"></span><span class="anchor" id="line-39"></span><p class="line867"><span class="anchor" id="line-40"></span><span class="anchor" id="line-41"></span><pre><span class="anchor" id="line-1-3"></span># /sbin/service postgrey start
<span class="anchor" id="line-2-1"></span># /sbin/service postfix reload</pre><span class="anchor" id="line-42"></span><p class="line874">请确保 postgrey 在机器开机时会被自动引导： <span class="anchor" id="line-43"></span><span class="anchor" id="line-44"></span><p class="line867"><span class="anchor" id="line-45"></span><pre><span class="anchor" id="line-1-4"></span># /sbin/chkconfig --levels 345 postgrey on </pre><span class="anchor" id="line-46"></span><p class="line874">现在我们可以检查邮件日志并看到 postgrey 大展所长。以下内容来自我的 /var/log/maillog： <span class="anchor" id="line-47"></span><span class="anchor" id="line-48"></span><p class="line867"><span class="anchor" id="line-49"></span><span class="anchor" id="line-50"></span><span class="anchor" id="line-51"></span><span class="anchor" id="line-52"></span><span class="anchor" id="line-53"></span><span class="anchor" id="line-54"></span><span class="anchor" id="line-55"></span><span class="anchor" id="line-56"></span><span class="anchor" id="line-57"></span><span class="anchor" id="line-58"></span><span class="anchor" id="line-59"></span><span class="anchor" id="line-60"></span><span class="anchor" id="line-61"></span><span class="anchor" id="line-62"></span><span class="anchor" id="line-63"></span><span class="anchor" id="line-64"></span><span class="anchor" id="line-65"></span><span class="anchor" id="line-66"></span><span class="anchor" id="line-67"></span><span class="anchor" id="line-68"></span><span class="anchor" id="line-69"></span><pre><span class="anchor" id="line-1-5"></span>#
<span class="anchor" id="line-2-2"></span># postgrey loads:
<span class="anchor" id="line-3-1"></span>#
<span class="anchor" id="line-4-1"></span>Dec 17 21:44:58 jessie postgrey[6844]: Process Backgrounded
<span class="anchor" id="line-5-1"></span>Dec 17 21:44:58 jessie postgrey[6844]: 2007/12/17-21:44:58 postgrey (type Net::Server::Multiplex) starting! pid(6844)
<span class="anchor" id="line-6"></span>Dec 17 21:44:58 jessie postgrey[6844]: Binding to UNIX socket file /var/spool/postfix/postgrey/socket using SOCK_STREAM
<span class="anchor" id="line-7"></span>Dec 17 21:44:58 jessie postgrey[6844]: Setting gid to "101 101"
<span class="anchor" id="line-8"></span>Dec 17 21:44:58 jessie postgrey[6844]: Setting uid to "100"
<span class="anchor" id="line-9"></span>#
<span class="anchor" id="line-10"></span># postgrey greylisting a message:
<span class="anchor" id="line-11"></span>#
<span class="anchor" id="line-12"></span>Dec 17 21:23:49 jessie postfix/smtpd[6714]: connect from mk-outboundfilter-4-a-1.mail.uk.tiscali.com[212.74.114.8]
<span class="anchor" id="line-13"></span>Dec 17 21:23:49 jessie postfix/smtpd[6714]: NOQUEUE: reject: RCPT from mk-outboundfilter-4-a-1.mail.uk.tiscali.com[212.74.114.8]:
<span class="anchor" id="line-14"></span>        450 4.2.0 &lt;ned@example.com&gt;: Recipient address rejected: Greylisted, see http://postgrey.schweikert.ch/help/example.com.html;
<span class="anchor" id="line-15"></span>        from=&lt;bob@example.com&gt; to=&lt;ned@example.com&gt; proto=ESMTP helo=&lt;mk-outboundfilter-4-a-1.mail.uk.tiscali.com&gt;
<span class="anchor" id="line-16"></span>Dec 17 21:23:54 jessie postfix/smtpd[6714]: disconnect from mk-outboundfilter-4-a-1.mail.uk.tiscali.com[212.74.114.8]
<span class="anchor" id="line-17"></span>#
<span class="anchor" id="line-18"></span># postgrey accepting a message:
<span class="anchor" id="line-19"></span>#
<span class="anchor" id="line-20"></span>Dec 17 22:23:45 jessie postgrey[2218]: action=pass, reason=triplet found, client_name=mk-outboundfilter-3-a-1.mail.uk.tiscali.com,
<span class="anchor" id="line-21"></span>        client_address=212.74.114.7, sender=bob@example.com, recipient=ned@example.com</pre><span class="anchor" id="line-70"></span><p class="line874">如果你看到这样一则信息： <span class="anchor" id="line-71"></span><span class="anchor" id="line-72"></span><p class="line867"><span class="anchor" id="line-73"></span><span class="anchor" id="line-74"></span><pre><span class="anchor" id="line-1-6"></span>Nov 18 09:39:03 jessie postfix/smtpd[26006]: warning: connect to postgrey/socket: Permission denied</pre><span class="anchor" id="line-75"></span><p class="line862">请不要灰心。这是 SELinux 的问题，而这个 wiki 页面谈论了解决方法：<a href="./zh(2f)HowTos(2f)SELinux.html#head-c107e0a7fef7854abd2f1e330b2bfd734b678caa">zh/HowTos/SELinux#head-c107e0a7fef7854abd2f1e330b2bfd734b678caa</a> <span class="anchor" id="line-76"></span><span class="anchor" id="line-77"></span><p class="line867">
<h3 id="Sendmail_.2BUYV2hHBwVA1TVQ-">2.2. Sendmail 内的灰名单</h3>
<span class="anchor" id="line-78"></span><p class="line862">Sendmail 采用 milter-greylist，它已收录在 RPMForge。要启用 RPMForge 软件库，请参阅 <a href="./zh(2f)Repositories(2f)RPMForge.html">RPMForge</a> 内的指引。首先，请安装 milter-greylist： <span class="anchor" id="line-79"></span><span class="anchor" id="line-80"></span><p class="line867"><span class="anchor" id="line-81"></span><pre><span class="anchor" id="line-1-7"></span># yum install milter-greylist</pre><span class="anchor" id="line-82"></span><p class="line862">milter-greylist 是已 C 写成，因此它的依赖性寥寥可数。Yum 应该会自动判断你所仍未安装的依赖性组件，而你亦可以在 milter-greylist 的<a class="http" href="http://hcpnet.free.fr/milter-greylist/">网站</a>查阅它的要求。 <span class="anchor" id="line-83"></span><span class="anchor" id="line-84"></span><p class="line874">请在你的 sendmail.mc 脚本的尾部加入以下内容： <span class="anchor" id="line-85"></span><span class="anchor" id="line-86"></span><p class="line867"><span class="anchor" id="line-87"></span><span class="anchor" id="line-88"></span><span class="anchor" id="line-89"></span><span class="anchor" id="line-90"></span><span class="anchor" id="line-91"></span><span class="anchor" id="line-92"></span><pre><span class="anchor" id="line-1-8"></span>INPUT_MAIL_FILTER(`greylist',`S=local:/var/milter-greylist/milter-greylist.sock')dnl
<span class="anchor" id="line-2-3"></span>define(`confMILTER_MACROS_CONNECT', `j, {if_addr}')dnl
<span class="anchor" id="line-3-2"></span>define(`confMILTER_MACROS_HELO', `{verify}, {cert_subject}')dnl
<span class="anchor" id="line-4-2"></span>define(`confMILTER_MACROS_ENVFROM', `i, {auth_authen}')dnl
<span class="anchor" id="line-5-2"></span>define(`confMILTER_MACROS_ENVRCPT', `{greylist}')dnl</pre><span class="anchor" id="line-93"></span><p class="line862">你也可以按首选指定闲置时间，而以下的例子设置发送信息给邮寄程序及等待回复时等待一分钟，因为缺省的 10 秒时限或许在采用 DNSRBL 及／或 SPF 时也许会不足够。详情请参阅 Sendmail 的邮寄程序安装<a class="http" href="http://www.sendmail.org/doc/sendmail-current/libmilter/docs/installation.html">指南</a>。 <span class="anchor" id="line-94"></span><span class="anchor" id="line-95"></span><p class="line867"><span class="anchor" id="line-96"></span><span class="anchor" id="line-97"></span><pre><span class="anchor" id="line-1-9"></span>INPUT_MAIL_FILTER(`greylist',`S=local:/var/milter-greylist/milter-greylist.sock, F=, T=S:1m;R:1m')dnl</pre><span class="anchor" id="line-98"></span><p class="line874">利用 m4 档编译 sendmail.cf 档。很多系统都拥有一个能自动完成这个步骤的 Makefile。 <span class="anchor" id="line-99"></span><span class="anchor" id="line-100"></span><p class="line867"><span class="anchor" id="line-101"></span><span class="anchor" id="line-102"></span><pre><span class="anchor" id="line-1-10"></span>/usr/bin/m4 /usr/share/sendmail/cf/m4/cf.m4 sendmail.mc &gt; sendmail</pre><span class="anchor" id="line-103"></span><p class="line874">接着重新引导 sendmail <span class="anchor" id="line-104"></span><span class="anchor" id="line-105"></span><p class="line867"><span class="anchor" id="line-106"></span><span class="anchor" id="line-107"></span><pre><span class="anchor" id="line-1-11"></span>service sendmail restart</pre><span class="anchor" id="line-108"></span><p class="line867">
<h3 id="Exim">2.3. Exim</h3>
<span class="anchor" id="line-109"></span><p class="line874">Exim 的设置应该放在这里。假如你把灰名单应用在 exim（或其它 MTA）上，欢迎你自动请缨 <span class="anchor" id="line-110"></span><span class="anchor" id="line-111"></span><p class="line867">
<h2 id="A.2BbEdipQ-">3. 汇报</h2>
<span class="anchor" id="line-112"></span><p class="line862">Postgrey 包含一个名叫 postgreyreport 的汇报工具。它已缺省在安装 postgrey 的组件时一并被安装。postgreyreport 会分析（来自 STDIN）的邮寄日志，将它与 postgrey 的数据库比较，然后列出所有「致命」灰名单项目的详情。当一台主机于首次寄件往某个特定收件者的 300 秒未能重试寄件，它便被放进「致命」灰名单内。postgreyreport 将会采用<tt class="backtick">客端&nbsp;IP／寄件者／收件者</tt>这三组数据作标识之用。你可以利用 --delay 这个命令行选项来调整 300 秒的时限，但 300 是个不错的基准。多数邮件服务器都会在 300 移内重试。 <span class="anchor" id="line-113"></span><span class="anchor" id="line-114"></span><p class="line874">基本用法： <span class="anchor" id="line-115"></span><span class="anchor" id="line-116"></span><p class="line867"><span class="anchor" id="line-117"></span><span class="anchor" id="line-118"></span><pre><span class="anchor" id="line-1-12"></span>cat /var/log/maillog | /usr/sbin/postgreyreport --delay=300</pre><span class="anchor" id="line-119"></span><p class="line874">视乎你的服务器有多繁忙，这个报告有可能会颇大。要取得首 20 个被放进灰名单内的来源地，你可以用这个方法： <span class="anchor" id="line-120"></span><span class="anchor" id="line-121"></span><p class="line867"><span class="anchor" id="line-122"></span><span class="anchor" id="line-123"></span><pre><span class="anchor" id="line-1-13"></span>cat /var/log/maillog | postgreyreport | awk '{print $1}' | sort | uniq -c | sort -nr | head -n20</pre><span class="anchor" id="line-124"></span><p class="line874">要取得首 20 个灰名单来源地所寄往的电邮地址： <span class="anchor" id="line-125"></span><span class="anchor" id="line-126"></span><p class="line867"><span class="anchor" id="line-127"></span><span class="anchor" id="line-128"></span><pre><span class="anchor" id="line-1-14"></span>cat /var/log/maillog | postgreyreport | awk '{print $4}'  | sort  | uniq -c | sort -nr | head -n20</pre><span class="anchor" id="line-129"></span><p class="line874">要列出 postgreyreport 支持的所有选项及它们的功用： <span class="anchor" id="line-130"></span><span class="anchor" id="line-131"></span><p class="line867"><span class="anchor" id="line-132"></span><span class="anchor" id="line-133"></span><pre><span class="anchor" id="line-1-15"></span>postgreyreport -h</pre><span class="anchor" id="line-134"></span><p class="line867">
<h2 id="A.2BWRqRzQ_MX_.2BdoSAA4ZR-">4. 多重 MX 的考虑</h2>
<span class="anchor" id="line-135"></span><p class="line874">假若你的网域拥有多于一台邮件服务器（MX），请确保你在所有服务器上启用灰名单，否则垃圾邮件寄件者将会对准你的后备 MX 机器并从那里转发邮件。你也值得把每台机器放在对方的白名单内。请参阅下一部份关于如何在 postgrey 内设置白单名。 <span class="anchor" id="line-136"></span><span class="anchor" id="line-137"></span><p class="line874">要让灰名单在后备 MX 机器上运作，灰名单的检查必须在邮件被接纳前进行！虽然这听起来是理所当然的事，它却是导致不少人在后备 MX 机器上设置灰名单时出现混乱的原因之一。举个例说，如果你在 postfix 内采用 permit_mx_backup，你的备份 MX 上的 smtpd_recipient_restrictions 应该是这样的： <span class="anchor" id="line-138"></span><span class="anchor" id="line-139"></span><p class="line867"><span class="anchor" id="line-140"></span><span class="anchor" id="line-141"></span><span class="anchor" id="line-142"></span><span class="anchor" id="line-143"></span><span class="anchor" id="line-144"></span><span class="anchor" id="line-145"></span><pre><span class="anchor" id="line-1-16"></span>smtpd_recipient_restrictions =
<span class="anchor" id="line-2-4"></span>    reject_unauth_destination,
<span class="anchor" id="line-3-3"></span>    check_policy_service unix:/var/spool/postfix/postgrey/socket,
<span class="anchor" id="line-4-3"></span>    permit_mx_backup,
<span class="anchor" id="line-5-3"></span>    permit</pre><span class="anchor" id="line-146"></span><p class="line867">
<h2 id="A.2Bdn1UDVNV-">5. 白名单</h2>
<span class="anchor" id="line-147"></span><p class="line874">postgrey 也可以把寄件者及收件者放在白名单内。要把一台主机加进白名单，你只需把它的完整机域名或 IP 地址加进 /etc/postfix/postgrey_whitelist_clients.local，譬如： <span class="anchor" id="line-148"></span><span class="anchor" id="line-149"></span><p class="line867"><span class="anchor" id="line-150"></span><span class="anchor" id="line-151"></span><span class="anchor" id="line-152"></span><pre><span class="anchor" id="line-1-17"></span>192.168.1.10
<span class="anchor" id="line-2-5"></span>mydesktop.office.mydomain.com</pre><span class="anchor" id="line-153"></span><p class="line874">现在所有来自 192.168.1.10 或 mydesktop.office.mydomain.com 的邮件将不会被被灰名单过滤，而会立即获接纳（只要它是合法的，并通过所有 postfix 规则）。另一方面，假若你想把一个收件者加入白名单内，你可以将电邮地址的用户名称部份加进 /etc/postfix/postgrey_whitelist_recipients 档内，譬如： <span class="anchor" id="line-154"></span><span class="anchor" id="line-155"></span><p class="line867"><span class="anchor" id="line-156"></span><span class="anchor" id="line-157"></span><span class="anchor" id="line-158"></span><span class="anchor" id="line-159"></span><pre><span class="anchor" id="line-1-18"></span>postmaster@
<span class="anchor" id="line-2-6"></span>abuse@
<span class="anchor" id="line-3-4"></span>theboss@</pre><span class="anchor" id="line-160"></span><p class="line874">现在所以寄往上述地址的电邮将不会被被灰名单过滤，而会立即获接纳。请留意 postgrey 已缺省把 postmaster 及 abuse 列进白名单内。 <span class="anchor" id="line-161"></span><span class="anchor" id="line-162"></span><p class="line867">
<h2 id="A.2BYDt.2B0w-">6. 总结</h2>
<span class="anchor" id="line-163"></span><p class="line874">灰名单能高度有效地对抗来自不乎合 RFC 的垃圾邮件程序的邮件。Postgrey 是一个易设置的灰名单政策服务器，它仅需数分钟便可被安装和设置于在一台运作中的 CentOS 邮件服务器上。 <span class="anchor" id="line-164"></span><span class="anchor" id="line-165"></span><p class="line867">
<h2 id="A.2Bj95.2B0w-">7. 连结</h2>
<span class="anchor" id="line-166"></span><p class="line867"><a class="http" href="http://www.greylisting.org/">http://www.greylisting.org/</a> <span class="anchor" id="line-167"></span><span class="anchor" id="line-168"></span><p class="line867"><a class="http" href="http://postgrey.schweikert.ch/">http://postgrey.schweikert.ch/</a> <span class="anchor" id="line-169"></span><span class="anchor" id="line-170"></span><p class="line867"><a class="http" href="http://milter-greylist.wikidot.com/sendmail">http://milter-greylist.wikidot.com/sendmail</a> <span class="anchor" id="line-171"></span><span class="anchor" id="line-172"></span><p class="line867"><small>Translation of revision 37</small> <span class="anchor" id="line-173"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
